com.io7m.r2.core.cursors

## Class R2RGBA8ByteBuffered

- java.lang.Object
- - com.io7m.r2.core.cursors.R2RGBA8ByteBuffered

- All Implemented Interfaces:
    com.io7m.jpra.runtime.java.JPRAValueType, R2RGBA8ReadableType, R2RGBA8Type, R2RGBA8WritableType

      public final class R2RGBA8ByteBuffered
      extends Object
      implements R2RGBA8Type

  A `ByteBuffer` based implementation of the `R2RGBA8` record type.

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `byte` | `getColorA()`
    `byte` | `getColorB()`
    `byte` | `getColorG()`
    `byte` | `getColorR()`
    `int` | `metaColorAOffsetFromCursor()`
    `int` | `metaColorAOffsetFromType()`
    `static int` | `metaColorAStaticOffsetFromType()`
    `com.io7m.jpra.runtime.java.JPRATypeModel.JPRAIntegerUnsigned` | `metaColorAType()`
    `int` | `metaColorBOffsetFromCursor()`
    `int` | `metaColorBOffsetFromType()`
    `static int` | `metaColorBStaticOffsetFromType()`
    `com.io7m.jpra.runtime.java.JPRATypeModel.JPRAIntegerUnsigned` | `metaColorBType()`
    `int` | `metaColorGOffsetFromCursor()`
    `int` | `metaColorGOffsetFromType()`
    `static int` | `metaColorGStaticOffsetFromType()`
    `com.io7m.jpra.runtime.java.JPRATypeModel.JPRAIntegerUnsigned` | `metaColorGType()`
    `int` | `metaColorROffsetFromCursor()`
    `int` | `metaColorROffsetFromType()`
    `static int` | `metaColorRStaticOffsetFromType()`
    `com.io7m.jpra.runtime.java.JPRATypeModel.JPRAIntegerUnsigned` | `metaColorRType()`
    `static R2RGBA8Type` | `newValue(ByteBuffer in_buffer, com.io7m.jpra.runtime.java.JPRACursorByteReadableType in_pointer)` Construct a view of a type.
    `static R2RGBA8Type` | `newValueWithOffset(ByteBuffer in_buffer, com.io7m.jpra.runtime.java.JPRACursorByteReadableType in_pointer, int in_base_offset)` Construct a view of a type.
    `void` | `setColorA(byte x)` Set the value of the `color_a` field
    `void` | `setColorB(byte x)` Set the value of the `color_b` field
    `void` | `setColorG(byte x)` Set the value of the `color_g` field
    `void` | `setColorR(byte x)` Set the value of the `color_r` field
    `static int` | `sizeInOctets()`
    `int` | `sizeOctets()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### newValueWithOffset

          public static R2RGBA8Type newValueWithOffset(ByteBuffer in_buffer,
                                                       com.io7m.jpra.runtime.java.JPRACursorByteReadableType in_pointer,
                                                       int in_base_offset)

      Construct a view of a type.
      Parameters:
        `in_buffer` - A byte buffer
        `in_pointer` - A cursor
        `in_base_offset` - The base offset from the cursor
      Returns:
        A view of a type

    - #### newValue

          public static R2RGBA8Type newValue(ByteBuffer in_buffer,
                                             com.io7m.jpra.runtime.java.JPRACursorByteReadableType in_pointer)

      Construct a view of a type.
      Parameters:
        `in_buffer` - A byte buffer
        `in_pointer` - A cursor
      Returns:
        A view of a type

    - #### sizeOctets

          public int sizeOctets()

      Specified by:
        `sizeOctets` in interface `com.io7m.jpra.runtime.java.JPRAValueType`

    - #### sizeInOctets

          public static int sizeInOctets()

      Returns:
        The size of the type in octets

    - #### metaColorROffsetFromType

          public int metaColorROffsetFromType()

      Specified by:
        `metaColorROffsetFromType` in interface `R2RGBA8ReadableType`
      Returns:
        The offset in octets of the `color_r` field, from the start of the type

    - #### metaColorRStaticOffsetFromType

          public static int metaColorRStaticOffsetFromType()

      Returns:
        The offset in octets of field `color_r` from the start of the type

    - #### metaColorROffsetFromCursor

          public int metaColorROffsetFromCursor()

      Specified by:
        `metaColorROffsetFromCursor` in interface `R2RGBA8ReadableType`
      Returns:
        The offset in octets of the `color_r` field, from the cursor

    - #### metaColorRType

          public com.io7m.jpra.runtime.java.JPRATypeModel.JPRAIntegerUnsigned metaColorRType()

      Specified by:
        `metaColorRType` in interface `R2RGBA8ReadableType`
      Returns:
        The type of the `color_r` field

    - #### getColorR

          public byte getColorR()

      Specified by:
        `getColorR` in interface `R2RGBA8ReadableType`
      Returns:
        The value of the `color_r` field

    - #### setColorR

          public void setColorR(byte x)

      Description copied from interface: `R2RGBA8WritableType`
      Set the value of the `color_r` field
      Specified by:
        `setColorR` in interface `R2RGBA8WritableType`
      Parameters:
        `x` - The new value

    - #### metaColorGOffsetFromType

          public int metaColorGOffsetFromType()

      Specified by:
        `metaColorGOffsetFromType` in interface `R2RGBA8ReadableType`
      Returns:
        The offset in octets of the `color_g` field, from the start of the type

    - #### metaColorGStaticOffsetFromType

          public static int metaColorGStaticOffsetFromType()

      Returns:
        The offset in octets of field `color_g` from the start of the type

    - #### metaColorGOffsetFromCursor

          public int metaColorGOffsetFromCursor()

      Specified by:
        `metaColorGOffsetFromCursor` in interface `R2RGBA8ReadableType`
      Returns:
        The offset in octets of the `color_g` field, from the cursor

    - #### metaColorGType

          public com.io7m.jpra.runtime.java.JPRATypeModel.JPRAIntegerUnsigned metaColorGType()

      Specified by:
        `metaColorGType` in interface `R2RGBA8ReadableType`
      Returns:
        The type of the `color_g` field

    - #### getColorG

          public byte getColorG()

      Specified by:
        `getColorG` in interface `R2RGBA8ReadableType`
      Returns:
        The value of the `color_g` field

    - #### setColorG

          public void setColorG(byte x)

      Description copied from interface: `R2RGBA8WritableType`
      Set the value of the `color_g` field
      Specified by:
        `setColorG` in interface `R2RGBA8WritableType`
      Parameters:
        `x` - The new value

    - #### metaColorBOffsetFromType

          public int metaColorBOffsetFromType()

      Specified by:
        `metaColorBOffsetFromType` in interface `R2RGBA8ReadableType`
      Returns:
        The offset in octets of the `color_b` field, from the start of the type

    - #### metaColorBStaticOffsetFromType

          public static int metaColorBStaticOffsetFromType()

      Returns:
        The offset in octets of field `color_b` from the start of the type

    - #### metaColorBOffsetFromCursor

          public int metaColorBOffsetFromCursor()

      Specified by:
        `metaColorBOffsetFromCursor` in interface `R2RGBA8ReadableType`
      Returns:
        The offset in octets of the `color_b` field, from the cursor

    - #### metaColorBType

          public com.io7m.jpra.runtime.java.JPRATypeModel.JPRAIntegerUnsigned metaColorBType()

      Specified by:
        `metaColorBType` in interface `R2RGBA8ReadableType`
      Returns:
        The type of the `color_b` field

    - #### getColorB

          public byte getColorB()

      Specified by:
        `getColorB` in interface `R2RGBA8ReadableType`
      Returns:
        The value of the `color_b` field

    - #### setColorB

          public void setColorB(byte x)

      Description copied from interface: `R2RGBA8WritableType`
      Set the value of the `color_b` field
      Specified by:
        `setColorB` in interface `R2RGBA8WritableType`
      Parameters:
        `x` - The new value

    - #### metaColorAOffsetFromType

          public int metaColorAOffsetFromType()

      Specified by:
        `metaColorAOffsetFromType` in interface `R2RGBA8ReadableType`
      Returns:
        The offset in octets of the `color_a` field, from the start of the type

    - #### metaColorAStaticOffsetFromType

          public static int metaColorAStaticOffsetFromType()

      Returns:
        The offset in octets of field `color_a` from the start of the type

    - #### metaColorAOffsetFromCursor

          public int metaColorAOffsetFromCursor()

      Specified by:
        `metaColorAOffsetFromCursor` in interface `R2RGBA8ReadableType`
      Returns:
        The offset in octets of the `color_a` field, from the cursor

    - #### metaColorAType

          public com.io7m.jpra.runtime.java.JPRATypeModel.JPRAIntegerUnsigned metaColorAType()

      Specified by:
        `metaColorAType` in interface `R2RGBA8ReadableType`
      Returns:
        The type of the `color_a` field

    - #### getColorA

          public byte getColorA()

      Specified by:
        `getColorA` in interface `R2RGBA8ReadableType`
      Returns:
        The value of the `color_a` field

    - #### setColorA

          public void setColorA(byte x)

      Description copied from interface: `R2RGBA8WritableType`
      Set the value of the `color_a` field
      Specified by:
        `setColorA` in interface `R2RGBA8WritableType`
      Parameters:
        `x` - The new value

Copyright © 2016 <code@io7m.com> http://io7m.com